use std::sync::Arc;

use tokio::sync::Notify;

#[derive(Debug)]
pub struct Notifies {
    pub update: Notify,
    pub new_subscriber: Notify,
}

pub fn make() -> Arc<Notifies> {
    Arc::new(Notifies {
        update: Notify::new(),
        new_subscriber: Notify::new(),
    })
}
